Return current array key

- « ArrayIterator::getFlags

- ArrayIterator::ksort »

- PHP Manual
- ArrayIterator
- Return current array key

# ArrayIterator::key

(PHP 5, PHP 7, PHP 8)

ArrayIterator::key — Return current array key

### Description

public ArrayIterator::key(): string|int|null

This function returns the current array key

### Parameters

This function has no parameters.

### Return Values

The current array key.

### Examples

Example #1 ArrayIterator::key() example

    <?php$array = array('key' => 'value');$arrayobject = new ArrayObject($array);$iterator = $arrayobject->getIterator();echo $iterator->key(); //key?>